ch.qos.logback.core.net.server

## Class SSLServerSocketAppenderBase<E>

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.AppenderBase<E>
    - - ch.qos.logback.core.net.server.AbstractServerSocketAppender<E>
      - - ch.qos.logback.core.net.server.SSLServerSocketAppenderBase<E>

All Implemented Interfaces:
  Appender<E>, SSLComponent, ContextAware, FilterAttachable<E>, LifeCycle

Direct Known Subclasses:
  SSLServerSocketAppender

    public abstract class SSLServerSocketAppenderBase<E>
    extends AbstractServerSocketAppender<E>
    implements SSLComponent

This is the base class for module specific ServerSocketAppender implementations.

Author:
  Carl Harris

### Field Summary

### Fields inherited from class ch.qos.logback.core.net.server.AbstractServerSocketAppender

`DEFAULT_BACKLOG, DEFAULT_CLIENT_QUEUE_SIZE`

### Fields inherited from class ch.qos.logback.core.AppenderBase

`name, started`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`SSLServerSocketAppenderBase()`

### Method Summary

Methods
`protected javax.net.ServerSocketFactory` `getServerSocketFactory()` Gets the factory used to create `ServerSocket` objects.
`SSLConfiguration` `getSsl()` Gets the SSL configuration.
`void` `setSsl(SSLConfiguration ssl)` Sets the SSL configuration.
`void` `start()`

### Methods inherited from class ch.qos.logback.core.net.server.AbstractServerSocketAppender

`append, createServerListener, createServerRunner, getAddress, getBacklog, getClientQueueSize, getInetAddress, getPort, getPST, postProcessEvent, setAddress, setBacklog, setClientQueueSize, setPort, stop`

### Methods inherited from class ch.qos.logback.core.AppenderBase

`addFilter, clearAllFilters, doAppend, getCopyOfAttachedFiltersList, getFilterChainDecision, getName, isStarted, setName, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Constructor Detail

#### SSLServerSocketAppenderBase

    public SSLServerSocketAppenderBase()

### Method Detail

#### getServerSocketFactory

    protected javax.net.ServerSocketFactory getServerSocketFactory()

Description copied from class: `AbstractServerSocketAppender`
Gets the factory used to create `ServerSocket` objects.

The default implementation delegates to `ServerSocketFactory.getDefault()`. Subclasses may override to private a different socket factory implementation.

Overrides:
  `getServerSocketFactory` in class `AbstractServerSocketAppender<E>`
Returns:
  socket factory.

#### start

    public void start()

Specified by:
  `start` in interface `LifeCycle`
Overrides:
  `start` in class `AbstractServerSocketAppender<E>`

#### getSsl

    public SSLConfiguration getSsl()

Gets the SSL configuration.

Specified by:
  `getSsl` in interface `SSLComponent`
Returns:
  SSL configuration; if no configuration has been set, a default configuration is returned

#### setSsl

    public void setSsl(SSLConfiguration ssl)

Sets the SSL configuration.

Specified by:
  `setSsl` in interface `SSLComponent`
Parameters:
  `ssl` - the SSL configuration to set